#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int N, Q,x;
    cin>>N>>Q;
    long long A[N*2], B[Q];
    for(int i=0; i<N; i++)
        cin>>A[i];
    for(int i=0; i<N-1; i++)
        for(int j=i+1; j<N; j++)
        {
            if(A[i]>A[j])
            {
                long long t=A[i];
                A[i]=A[j];
                A[j]=t;
            }
        }
    for(int i=0; i<Q; i++)
    {
        cin>>B[i];
    }
    for(int i=0; i<Q; i++)
    {
        if(B[i]==A[(N/2)])
            cout<<0<<endl;
        else if(B[i]>A[N/2])
        {
            x=0;
            for(int j=N/2; j<N; j++)
            {
                if(A[j]>=B[i])
                {
                    cout<<j-(N-j)<<endl;
                    x++;break;
                }
            }
            if(x==0)
            {
                cout<<N<<endl;
            }

        }
        else if(B[i]<A[N/2])
        {
            x=0;
            for(int j=N/2; j>=0; j--)
            {
                if(A[j]==B[i])
                {
                    cout<<N-j-1<<endl;
                    x++;break;
                }
                else if(A[j]<B[i])
                {
                    cout<<N-j-1<<endl;
                    x++;break;
                }
            }
            if(x==0)
            {
                cout<<N+1<<endl;
            }
        }

    }
    return 0;
}